import { VectorBufferStream } from '../utils/serialization/VectorBufferStream';
import { ResponseErrorEnum } from './enum/ResponseErrorEnum';
export declare const cResponseErrorVersion = 1;
export declare class ResponseError extends Error {
    Code: ResponseErrorEnum;
    AppCode: number;
    Message: string;
    constructor(code: ResponseErrorEnum, appCode: number, message: string);
}
export declare function serializeResponseError(stream: VectorBufferStream, obj: ResponseError, root?: boolean): void;
export declare function deserializeResponseError(stream: VectorBufferStream): ResponseError;
export declare function InternalError(message: string, appCode?: number): ResponseError;
export declare function BadRequest(message: string, appCode?: number): ResponseError;
export declare function NotFound(message: string, appCode?: number): ResponseError;
